/*
  This file is part of FatCRM, a desktop application for SugarCRM written by KDAB.

  Copyright (C) 2015-2022 Klarälvdalens Datakonsult AB, a KDAB Group company, info@kdab.com
  Authors: David Faure <david.faure@kdab.com>
           Michel Boyer de la Giroday <michel.giroday@kdab.com>
           Kevin Krammer <kevin.krammer@kdab.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "kdcrmfields.h"

QString KDCRMFields::assignedUserName()
{
    return QStringLiteral("assigned_user_name");
}

QString KDCRMFields::dateModified()
{
    return QStringLiteral("date_modified");
}

QString KDCRMFields::dateEntered()
{
    return QStringLiteral("date_entered");
}

QString KDCRMFields::id()
{
    return QStringLiteral("id");
}

QString KDCRMFields::name()
{
    return QStringLiteral("name");
}

QString KDCRMFields::modifiedUserId()
{
    return QStringLiteral("modified_user_id");
}

QString KDCRMFields::modifiedByName()
{
    return QStringLiteral("modified_by_name");
}

QString KDCRMFields::createdBy()
{
    return QStringLiteral("created_by");
}

QString KDCRMFields::createdByName()
{
    return QStringLiteral("created_by_name");
}

QString KDCRMFields::assignedUserId()
{
    return QStringLiteral("assigned_user_id");
}

QString KDCRMFields::accountName()
{
    return QStringLiteral("account_name");
}

QString KDCRMFields::campaignName()
{
    return QStringLiteral("campaign_name");
}

QString KDCRMFields::campaignType()
{
    return QStringLiteral("campaign_type");
}

QString KDCRMFields::campaignId()
{
    return QStringLiteral("campaign_id");
}

QString KDCRMFields::status()
{
    return QStringLiteral("status");
}

QString KDCRMFields::parentName()
{
    return QStringLiteral("parent_name");
}

QString KDCRMFields::tickerSymbol()
{
    return QStringLiteral("ticker_symbol");
}

QString KDCRMFields::campaign()
{
    return QStringLiteral("campaign");
}

QString KDCRMFields::reportsTo()
{
    return QStringLiteral("reports_to");
}

QString KDCRMFields::parentId()
{
    return QStringLiteral("parent_id");
}

QString KDCRMFields::accountId()
{
    return QStringLiteral("account_id");
}

QString KDCRMFields::reportsToId()
{
    return QStringLiteral("reports_to_id");
}

QString KDCRMFields::opportunityType()
{
    return QStringLiteral("opportunity_type");
}

QString KDCRMFields::description()
{
    return QStringLiteral("description");
}

QString KDCRMFields::descriptionHtml()
{
    return QStringLiteral("description_html");
}

QString KDCRMFields::deleted()
{
    return QStringLiteral("deleted");
}

QString KDCRMFields::content()
{
    return QStringLiteral("content");
}

QString KDCRMFields::leadSource()
{
    return QStringLiteral("lead_source");
}

QString KDCRMFields::amount()
{
    return QStringLiteral("amount");
}

QString KDCRMFields::amountUsDollar()
{
    return QStringLiteral("amount_usdollar");
}

QString KDCRMFields::contactId()
{
    return QStringLiteral("contact_id");
}

QString KDCRMFields::currencyId()
{
    return QStringLiteral("currency_id");
}

QString KDCRMFields::currencyName()
{
    return QStringLiteral("currency_name");
}

QString KDCRMFields::currencySymbol()
{
    return QStringLiteral("currency_symbol");
}

QString KDCRMFields::dateClosed()
{
    return QStringLiteral("date_closed");
}

QString KDCRMFields::nextStep()
{
    return QStringLiteral("next_step");
}

QString KDCRMFields::salesStage()
{
    return QStringLiteral("sales_stage");
}

QString KDCRMFields::probability()
{
    return QStringLiteral("probability");
}

QString KDCRMFields::nextCallDate()
{
    return QStringLiteral("next_call_date");
}

QString KDCRMFields::billingAddressStreet()
{
    return QStringLiteral("billing_address_street");
}

QString KDCRMFields::billingAddressCity()
{
    return QStringLiteral("billing_address_city");
}

QString KDCRMFields::billingAddressState()
{
    return QStringLiteral("billing_address_state");
}

QString KDCRMFields::billingAddressCountry()
{
    return QStringLiteral("billing_address_country");
}

QString KDCRMFields::billingAddressPostalcode()
{
    return QStringLiteral("billing_address_postalcode");
}

QString KDCRMFields::shippingAddressStreet()
{
    return QStringLiteral("shipping_address_street");
}

QString KDCRMFields::shippingAddressCity()
{
    return QStringLiteral("shipping_address_city");
}

QString KDCRMFields::shippingAddressState()
{
    return QStringLiteral("shipping_address_state");
}

QString KDCRMFields::shippingAddressCountry()
{
    return QStringLiteral("shipping_address_country");
}

QString KDCRMFields::shippingAddressPostalcode()
{
    return QStringLiteral("shipping_address_postalcode");
}

QString KDCRMFields::industry()
{
    return QStringLiteral("industry");
}

QString KDCRMFields::accountType()
{
    return QStringLiteral("account_type");
}

QString KDCRMFields::primaryAddressStreet()
{
    return QStringLiteral("primaryAddressStreet");
}

QString KDCRMFields::primaryAddressCity()
{
    return QStringLiteral("primaryAddressCity");
}

QString KDCRMFields::primaryAddressState()
{
    return QStringLiteral("primaryAddressState");
}

QString KDCRMFields::primaryAddressCountry()
{
    return QStringLiteral("primaryAddressCountry");
}

QString KDCRMFields::primaryAddressPostalcode()
{
    return QStringLiteral("primaryAddressPostalcode");
}


QString KDCRMFields::altAddressStreet()
{
    return QStringLiteral("altAddressStreet");
}

QString KDCRMFields::altAddressCity()
{
    return QStringLiteral("altAddressCity");
}

QString KDCRMFields::altAddressState()
{
    return QStringLiteral("altAddressState");
}

QString KDCRMFields::altAddressCountry()
{
    return QStringLiteral("altAddressCountry");
}

QString KDCRMFields::altAddressPostalcode()
{
    return QStringLiteral("altAddressPostalcode");
}
QString KDCRMFields::firstName()
{
    return QStringLiteral("first_name");
}

QString KDCRMFields::lastName()
{
    return QStringLiteral("last_name");
}

QString KDCRMFields::title()
{
    return QStringLiteral("title");
}

QString KDCRMFields::department()
{
    return QStringLiteral("department");
}

QString KDCRMFields::email1()
{
    return QStringLiteral("email1");
}

QString KDCRMFields::email2()
{
    return QStringLiteral("email2");
}

QString KDCRMFields::phoneHome()
{
    return QStringLiteral("phone_home");
}

QString KDCRMFields::phoneMobile()
{
    return QStringLiteral("phone_mobile");
}

QString KDCRMFields::phoneWork()
{
    return QStringLiteral("phone_work");
}

QString KDCRMFields::phoneOther()
{
    return QStringLiteral("phone_other");
}

QString KDCRMFields::phoneFax()
{
    return QStringLiteral("phone_fax");
}

QString KDCRMFields::birthdate()
{
    return QStringLiteral("birthdate");
}

QString KDCRMFields::assistant()
{
    return QStringLiteral("assistant");
}

QString KDCRMFields::phoneAssistant()
{
    return QStringLiteral("phoneAssistant");
}

QString KDCRMFields::salutation()
{
    return QStringLiteral("salutation");
}

QString KDCRMFields::doNotCall()
{
    return QStringLiteral("do_not_call");
}

QString KDCRMFields::invalidEmail()
{
    return QStringLiteral("invalid_email");
}

QString KDCRMFields::cAcceptStatusFields()
{
    return QStringLiteral("cAcceptStatusFields");
}

QString KDCRMFields::mAcceptStatusFields()
{
    return QStringLiteral("mAcceptStatusFields");
}

QString KDCRMFields::opportunityRoleFields()
{
    return QStringLiteral("opportunityRoleFields");
}

QString KDCRMFields::accountDescription()
{
    return QStringLiteral("account_description");
}

QString KDCRMFields::accounting()
{
    return QStringLiteral("accounting");
}

QString KDCRMFields::accountPhoneOther()
{
    return QStringLiteral("phone_alternate");
}

QString KDCRMFields::accountPhoneWork()
{
    return QStringLiteral("phone_office");
}

QString KDCRMFields::actualCost()
{
    return QStringLiteral("actual_cost");
}

QString KDCRMFields::annualRevenue()
{
    return QStringLiteral("annual_revenue");
}

QString KDCRMFields::budget()
{
    return QStringLiteral("budget");
}

QString KDCRMFields::ccAddrsNames()
{
    return QStringLiteral("cc_addrs_names");
}

QString KDCRMFields::contactName()
{
    return QStringLiteral("contact_name");
}

QString KDCRMFields::converted()
{
    return QStringLiteral("converted");
}

QString KDCRMFields::dateDue()
{
    return QStringLiteral("date_due");
}

QString KDCRMFields::dateDueFlag()
{
    return QStringLiteral("date_due_flag");
}

QString KDCRMFields::dateSent()
{
    return QStringLiteral("date_sent");
}

QString KDCRMFields::dateStart()
{
    return QStringLiteral("date_start");
}

QString KDCRMFields::dateStartFlag()
{
    return QStringLiteral("date_start_flag");
}

QString KDCRMFields::employees()
{
    return QStringLiteral("employees");
}

QString KDCRMFields::endDate()
{
    return QStringLiteral("end_date");
}

QString KDCRMFields::expectedCost()
{
    return QStringLiteral("expected_cost");
}

QString KDCRMFields::expectedRevenue()
{
    return QStringLiteral("expected_revenue");
}

QString KDCRMFields::fileMimeType()
{
    return QStringLiteral("file_mime_type");
}

QString KDCRMFields::fileName()
{
    return QStringLiteral("filename");
}

QString KDCRMFields::frequency()
{
    return QStringLiteral("frequency");
}

QString KDCRMFields::fromAddrName()
{
    return QStringLiteral("from_addr_name");
}

QString KDCRMFields::impressions()
{
    return QStringLiteral("impressions");
}

QString KDCRMFields::leadSourceDescription()
{
    return QStringLiteral("lead_source_description");
}

QString KDCRMFields::messageId()
{
    return QStringLiteral("message_id");
}

QString KDCRMFields::objective()
{
    return QStringLiteral("objective");
}

QString KDCRMFields::opportunityAmount()
{
    return QStringLiteral("opportunity_amount");
}

QString KDCRMFields::opportunityId()
{
    return QStringLiteral("opportunity_id");
}

QString KDCRMFields::opportunityName()
{
    return QStringLiteral("opportunity_name");
}

QString KDCRMFields::ownership()
{
    return QStringLiteral("ownership");
}

QString KDCRMFields::parentType()
{
    return QStringLiteral("parent_type");
}

QString KDCRMFields::portalApp()
{
    return QStringLiteral("portal_app");
}

QString KDCRMFields::portalName()
{
    return QStringLiteral("portal_name");
}

QString KDCRMFields::priority()
{
    return QStringLiteral("priority");
}

QString KDCRMFields::rating()
{
    return QStringLiteral("rating");
}

QString KDCRMFields::referedBy()
{
    return QStringLiteral("refered_by");
}

QString KDCRMFields::referUrl()
{
    return QStringLiteral("refer_url");
}

QString KDCRMFields::sicCode()
{
    return QStringLiteral("sic_code");
}

QString KDCRMFields::startDate()
{
    return QStringLiteral("start_date");
}

QString KDCRMFields::statusDescription()
{
    return QStringLiteral("status_description");
}

QString KDCRMFields::trackerCount()
{
    return QStringLiteral("tracker_count");
}

QString KDCRMFields::trackerKey()
{
    return QStringLiteral("tracker_key");
}

QString KDCRMFields::trackerText()
{
    return QStringLiteral("tracker_text");
}

QString KDCRMFields::toAddrsNames()
{
    return QStringLiteral("to_addrs_names");
}

QString KDCRMFields::vatNo()
{
    return QStringLiteral("vat_no");
}

QString KDCRMFields::vismaId()
{
    return QStringLiteral("visma_id");
}

QString KDCRMFields::website()
{
    return QStringLiteral("website");
}

QString KDCRMFields::opportunityPriority()
{
    return QStringLiteral("opportunity_priority");
}

QString KDCRMFields::opportunitySize()
{
    return QLatin1String("opportunity_size");
}

QString KDCRMFields::documentName()
{
    return QStringLiteral("document_name");
}

QString KDCRMFields::docId()
{
    return QStringLiteral("doc_id");
}

QString KDCRMFields::docType()
{
    return QStringLiteral("doc_type");
}

QString KDCRMFields::docUrl()
{
    return QStringLiteral("doc_url");
}

QString KDCRMFields::activeDate()
{
    return QStringLiteral("active_date");
}

QString KDCRMFields::expDate()
{
    return QStringLiteral("exp_date");
}

QString KDCRMFields::categoryId()
{
    return QStringLiteral("category_id");
}

QString KDCRMFields::subcategoryId()
{
    return QStringLiteral("subcategory_id");
}

QString KDCRMFields::statusId()
{
    return QStringLiteral("status_id");
}

QString KDCRMFields::documentRevisionId()
{
    return QStringLiteral("document_revision_id");
}

QString KDCRMFields::relatedDocId()
{
    return QStringLiteral("related_doc_id");
}

QString KDCRMFields::relatedDocName()
{
    return QStringLiteral("related_doc_name");
}

QString KDCRMFields::relatedDocRevId()
{
    return QStringLiteral("related_doc_rev_id");
}

QString KDCRMFields::isTemplate()
{
    return QStringLiteral("is_template");
}

QString KDCRMFields::templateType()
{
    return QStringLiteral("template_type");
}

QString KDCRMFields::primaryContactId()
{
    return QStringLiteral("primary_contact_id");
}
